# Generated from entypo-rails-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name entypo-rails

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: Rails asset pipeline plugin to provide Entypo icons
License: MIT and SIL Open Font License
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
BuildArch: noarch

%description
Rails asset pipeline plugin and CSS mappings for the Entypo pictograms by
Daniel Bruce http://www.entypo.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE_ENTYPO
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/entypo-rails.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.0.0-1
- Initial package
